> For the complete documentation index, see [llms.txt](https://docs.defisaver.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.defisaver.com/triggers/liquity/liquitydebtinfrontwithlimittrigger.md).

# LiquityDebtInFrontWithLimitTrigger

### Description

Checks if total amount of debt in front of a specified trove is over a limit

> **Notes**
>
> Max number of troves to check is 250.

### Trigger ID

`0x72a21f97`

### SDK Action

```ts
const liquityDebtInFrontWithLimitTrigger = new dfs.triggers.LiquityDebtInFrontWithLimitTrigger(
    troveOwner,
    debtInFront
);
```

### Subscription Parameters

```solidity
/// @param troveOwner Trove is based on user address so we use trove owner addr
/// @param debtInFrontMin Minimal amount of debtInFront that is required
struct SubParams {
    address troveOwner;
    uint256 debtInFrontMin;
}
```

### Calldata Parameters

```solidity
None
```

### IsChangeable

`false`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.defisaver.com/triggers/liquity/liquitydebtinfrontwithlimittrigger.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
